Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Page 2 of 2
1.1 beta and release dates
 
roco
Sr. Member
 
Total Posts:  191
Joined:  2008-03-18
 

So the release isn’t stable but it says that it is in the downloader?  I thought this was supposed to say beta?  My Downloader screen cap is below....

Image Attachments
Stable1.1.png
 
Magento Community Magento Community
Magento Community
Magento Community
 
sherrie
Moderator
 
Avatar
Total Posts:  1655
Joined:  2007-12-14
Waterloo, ON
 

I know it was incorrectly labeled as stable the day before it fully came out in beta - not sure if it still is or not.  I definitely would not upgrade a live production site yet.  As of Saturday the SVN trunk was updated with the latest Beta version so I can pretty much guarantee what you’re seeing is not indeed the stable version.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Unirgy
Guru
 
Avatar
Total Posts:  478
Joined:  2007-09-07
 

i think it’s a downloader bug - did you try upgrading only the downloader to 1.1 ?

 
Magento Community Magento Community
Magento Community
Magento Community
 
roco
Sr. Member
 
Total Posts:  191
Joined:  2008-03-18
 

No I haven’t.................

My issue is there is a bug in my current version and I would like to upgrade to a newer stable version, but it appears my only option is the 1.1 version?  Is there some way to upgrade to one of the versions in between mine and 1.1?  - roco

(Thanks for the quick responses)

 
Magento Community Magento Community
Magento Community
Magento Community
 
sherrie
Moderator
 
Avatar
Total Posts:  1655
Joined:  2007-12-14
Waterloo, ON
 

If you upgrade the downloader to 1.1 and then make sure your settings are set to only download stable releases I believe it gives you the 1.0.9870.4 version as an upgrade option which is the latest stable version.  Otherwise you will have to do it manually.

 
Magento Community Magento Community
Magento Community
Magento Community
 
roco
Sr. Member
 
Total Posts:  191
Joined:  2008-03-18
 

Ok .......I upgraded to latest downloader but the options did not change to allow install of prior version to 1.1 and I get this message when trying to upgrade to the stable release:

Failed to download magento-core/Lib_Varien within preferred state "stable"latest release is version 1.1.0stability "beta", use "channel://connect.magentocommerce.com/core/Lib_Varien-1.1.0" to install
Failed to download magento
-core/Lib_Google_Checkout within preferred state "stable"latest release is version 1.1.0stability "beta", use "channel://connect.magentocommerce.com/core/Lib_Google_Checkout-1.1.0" to install
Failed to download magento
-core/Lib_Js_Mage within preferred state "stable"latest release is version 1.1.0stability "beta", use "channel://connect.magentocommerce.com/core/Lib_Js_Mage-1.1.0" to install
Failed to download magento
-core/Lib_Js_Prototype within preferred state "stable"latest release is version 1.1.0stability "beta", use "channel://connect.magentocommerce.com/core/Lib_Js_Prototype-1.1.0" to install
magento
-core/interface_frontend_default_modern requires package "magento-core/Mage_Core_Modules" (version >= 1.0.19700version <= 1.1excluded versions1.1), downloaded version is 1.1.0
magento
-core/Mage_Core_Modules cannot be installedconflicts with installed packages
Install Errors
No valid packages found
PEAR ERROR
upgrade failed

I guess the downloader is completely broken at this point????

 
Magento Community Magento Community
Magento Community
Magento Community
 
Unirgy
Guru
 
Avatar
Total Posts:  478
Joined:  2007-09-07
 

by the error messages i can see you’re trying to upgrade to 1.1 which is beta while having preferred state configured to stable.

also, modern theme package available does not support 1.1, you’ll have to uninstall it to install magento 1.1

 
Magento Community Magento Community
Magento Community
Magento Community
 
roco
Sr. Member
 
Total Posts:  191
Joined:  2008-03-18
 

I understand that too......

My config was set to stable though and it still let 1.1 through?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Unirgy
Guru
 
Avatar
Total Posts:  478
Joined:  2007-09-07
 

it didn’t let you install magento 1.1 did it now?

it just shows 1.1 as available upgrade in older downloader. downloader 1.1 is stable.

 
Magento Community Magento Community
Magento Community
Magento Community
 
roco
Sr. Member
 
Total Posts:  191
Joined:  2008-03-18
 

I just want to install 1.0.9870.4.  The downloader does not show it as an option.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Michae1
Enthusiast
 
Total Posts:  826
Joined:  2007-08-31
 

@roco: By the error messages I see that you are trying to upgrade everything to 1.1.
That’s wrong, you should update only Mage_Downloader (e.i. set “Upgrade” option in the dropdown ONLY in the row that starts with Mage_Downloader )

 
Magento Community Magento Community
Magento Community
Magento Community
 
Paulus
Guru
 
Total Posts:  335
Joined:  2008-07-21
 

Hi,

So the error that was mentioned here:
Fatal error: Call to undefined method Mage_Catalog_Helper_Product::getPriceHtml()

Is not easily solved?
(there goes our first custom page that took us days;-))

 
Magento Community Magento Community
Magento Community
Magento Community
 
Michae1
Enthusiast
 
Total Posts:  826
Joined:  2007-08-31
 
Paulus - 02 August 2008 07:22 AM

Fatal error: Call to undefined method Mage_Catalog_Helper_Product::getPriceHtml()

You can check the Upgrading Magento themes for he Latest Release wiki article to solve it.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top
Page 2 of 2